---
title: "Hi!"
slug: "about"
---


{{<img div-class="avatar centered" src="/images/profile.jpg">}}

My name is Joe, and I am a software developer with a Ph.D. in theoretical physics and a penchant
for writing quality code for scientific applications.

### What am I working on?

{{<logo href="https://kwant-project.org" src="/images/logos/kwant.png">}}
[**Kwant**](https://kwant-project.org) is a Python package for simulating quantum transport in nanodevices.
It has been used in [hundreds of research projects](https://scholar.google.nl/scholar?cites=9330311747089024535&scisbd=1)
all over the world, as well as a teaching aid in [courses](http://tiny.cc/topocm) on condensed matter physics.

{{<logo href="https://github.com/python-adaptive/adaptive" src="/images/logos/adaptive.png">}}
[**Adaptive**](https://github.com/python-adaptive/adaptive) is a library of algorithms
for adaptively sampling mathematical functions that integrates with the Jupyter notebook.
It has been used in [cutting edge](https://arxiv.org/pdf/1806.02801.pdf)
quantum transport simulations.

{{<logo href="https://github.com/zesje/zesje" src="/images/logos/zesje.png">}}
[**Zesje**](https://github.com/zesje/zesje)
Is a web app for grading exams. Born out of necessity while administering exams
to hundreds of undergrads, it's now used in several departments
at Delft University of Technology.

---

<span class="dropcap">
  <img src="{filename}/images/haskell-logo.png"/>
</span>
I've been teaching myself Haskell, to learn the fundamentals of
functional programming, and contributing to [hledger](https://github.com/simonmichael/hledger)
to get some experience working with a mature codebase.


### What's my day job?

I currently work as a contractor for [Microsoft Quantum](https://www.microsoft.com/en-us/quantum)
where I develop custom algorithms and software for simulating Majorana-based topological qubits.
I also improve the tools used by simulation engineers to take advantage of the
high-performance (but classical ;)) computing infrastructure available to us.


### What do I do for fun?

When I'm not coding I'm probably up a mountain (though not since COVID!),
in the climbing gym or playing [designer board games][bgg].
I'll sometimes [blog]({{<relref "posts" >}})
about stuff I find interesting (the mountaineering posts come with photos!).

You can get in touch via [email](mailto:joseph@weston.cloud), my PGP public key
`D2C4E1B6` can be found on most keyservers.

[bgg]: https://boardgamegeek.com/plays/thumbs/user/jbweston/subtype/All
